解决WordPress 5.5更新bug:后台下拉二级菜单无法显示

有些朋友使用WordPress建站,升级更新到WordPress 5.5以后,可能会发现,网站的某些功能出错,比如:WordPress后台下拉二级菜单无法显示……

通过浏览器调试工具查看,会发现一些js报错,提示js函数、.live 不存在之类等问题……

WordPress 5.5移除了jQuery Migrate1.x

其实主要问题就在于:

  • WordPress 5.5删除掉了jQuery Migrate1.x。
  • 对于使用jQuery的开发人员来说,这是一个问题。
  • 如果使用jQuery,请确保你不依赖jQuery Migrate 1.x单独提供的任何功能。

也就是说,有些WordPress主题或WordPress插件使用了比较老旧的jQuery函数,以前一直都采用jQuery Migrate1.x做兼容处理的,但是现在WordPress 5.5+ 默认禁用了这个兼容库,所以就出现问题了。

对于开发者来说,应该尽快更新自己的产品代码,尽可能使用新的jQuery函数,解除对jQuery Migrate1.x的依赖。

如何解决WordPress 5.5后台下拉二级菜单无法显示?

对于大多数的普通用户来说,肯定是无法去自己修改代码做兼容处理的,怎么办?

其实WordPress官方团队早就想到了这个问题,专门开发了一个小插件 Enable jQuery Migrate Helper,只需要安装和启用插件,就可以继续加载 jQuery Migrate1.x,让你的网站避免出现js错误。

下载Enable jQuery Migrate Helper插件

不过,建议普通用户可以联系一下WordPress主题和WordPress插件作者,提醒他们更新代码,这样才是最好的做法。

希望陈沩亮博客( https://www.chenweiliang.com/) 分享的《解决WordPress 5.5更新bug:后台下拉二级菜单无法显示》,对您有帮助。

欢迎分享本文链接:https://www.chenweiliang.com/cwl-1440.html

最近陈沩亮博客刚开通了Telegram频道,而且已经将陈沩亮博客和Telegram频道实现了自动同步。

下次最新分享会第一时间自动同步到Telegram频道,欢迎订阅 ^_^

喜欢就分享和按赞!
您的分享和按赞,是我们持续的动力!

欲获取更多资讯内幕和秘技,欢迎扫码关注微信公众号:cwlboke
陈沩亮博客的 微信公众号二维码